org.gjt.sp.jedit.bsh

## Class Modifiers

- java.lang.Object
- - org.gjt.sp.jedit.bsh.Modifiers

All Implemented Interfaces:
  java.io.Serializable

    public class Modifiers
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `CLASS`
`static int` `FIELD`
`static int` `METHOD`

### Constructor Summary

Constructors
Constructor and Description
`Modifiers()`

### Method Summary

Methods
`void` `addModifier(int context, java.lang.String name)`
`boolean` `hasModifier(java.lang.String name)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CLASS

    public static final int CLASS

See Also:
  Constant Field Values

#### METHOD

    public static final int METHOD

See Also:
  Constant Field Values

#### FIELD

    public static final int FIELD

See Also:
  Constant Field Values

### Constructor Detail

#### Modifiers

    public Modifiers()

### Method Detail

#### addModifier

    public void addModifier(int context,
                   java.lang.String name)

Parameters:
  `context` - is METHOD or FIELD

#### hasModifier

    public boolean hasModifier(java.lang.String name)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`